Subject: bug#10742: It's creativity demanding to find a good title

From: Alírio Eyng <[email-masked]>
Date: Fri, 17 Feb 2012 08:15:01 +0000

bash-4.1# meta/guile
encoding: `en_US'
Backtrace:
In ice-9/boot-9.scm:
 149: 2 [catch #t #<catch-closure 81d8580> ...]
 157: 1 [#<procedure 80c92a8 ()>]
In unknown file:
   ?: 0 [catch-closure]

ERROR: In procedure catch-closure:
ERROR: Throw to key `decoding-error' with args `("scm_from_stringn"
"input locale conversion error" 22 #vu8(47 114 111 111 116 47 97 47
122 47 103 117 105 108 101 47 108 105 98 103 117 105 108 101 47 46 108
105 98 115 47 108 116 45 103 117 105 108 101))'.

bash-4.1# ldd --version
ldd (GNU libc) 2.13
Copyright (C) 2011 Free Software Foundation, Inc.
This is free software; see the source for copying conditions.  There is NO
warranty; not even for MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.
Written by Roland McGrath and Ulrich Drepper.

In the "iconv.c" file, the command has "./" before the iconv..
I included both variations

bash-4.1# LD_PRELOAD=iconv.so meta/guile -c 1
ERROR: ld.so: object 'iconv.so' from LD_PRELOAD cannot be preloaded: ignored.
ERROR: ld.so: object 'iconv.so' from LD_PRELOAD cannot be preloaded: ignored.
ERROR: ld.so: object 'iconv.so' from LD_PRELOAD cannot be preloaded: ignored.
ERROR: ld.so: object 'iconv.so' from LD_PRELOAD cannot be preloaded: ignored.
ERROR: ld.so: object 'iconv.so' from LD_PRELOAD cannot be preloaded: ignored.
ERROR: ld.so: object 'iconv.so' from LD_PRELOAD cannot be preloaded: ignored.
ERROR: ld.so: object 'iconv.so' from LD_PRELOAD cannot be preloaded: ignored.
ERROR: ld.so: object 'iconv.so' from LD_PRELOAD cannot be preloaded: ignored.
ERROR: ld.so: object 'iconv.so' from LD_PRELOAD cannot be preloaded: ignored.
ERROR: ld.so: object 'iconv.so' from LD_PRELOAD cannot be preloaded: ignored.
ERROR: ld.so: object 'ERROR: ld.so: object 'iconv.soiconv.so' from '
from LD_PRELOADLD_PRELOAD cannot be preloaded: ignored.
 cannot be preloaded: ignored.
ERROR: ld.so: object 'iconv.so' from LD_PRELOAD cannot be preloaded: ignored.
ERROR: ld.so: object 'iconv.so' from LD_PRELOAD cannot be preloaded: ignored.
encoding: `en_US'
Backtrace:
In ice-9/boot-9.scm:
 149: 2 [catch #t #<catch-closure 81d8580> ...]
 157: 1 [#<procedure 80c92a8 ()>]
In unknown file:
   ?: 0 [catch-closure]

ERROR: In procedure catch-closure:
ERROR: Throw to key `decoding-error' with args `("scm_from_stringn"
"input locale conversion error" 22 #vu8(49))'.

bash-4.1# LD_PRELOAD=./iconv.so meta/guile -c 1
env: symbol lookup error: ./iconv.so: undefined symbol: dlopen
grep: symbol lookup error: ./iconv.so: undefined symbol: dlopen
env: symbol lookup error: ./iconv.so: undefined symbol: dlopen
grep: symbol lookup error: ./iconv.so: undefined symbol: dlopen
env: symbol lookup error: ./iconv.so: undefined symbol: dlopen
grep: symbol lookup error: ./iconv.so: undefined symbol: dlopen
/usr/bin/sed: symbol lookup error: ./iconv.so: undefined symbol: dlopen
/usr/bin/sed: symbol lookup error: ./iconv.so: undefined symbol: dlopen
ls: symbol lookup error: ./iconv.so: undefined symbol: dlopen
mkdir: symbol lookup error: ./iconv.so: undefined symbol: dlopen
ERROR: ld.so: object './iconv.so' from LD_PRELOAD cannot be preloaded: ignored.
ERROR: ld.so: object './iconv.so' from LD_PRELOAD cannot be preloaded: ignored.
ERROR: ld.so: object './iconv.so' from LD_PRELOAD cannot be preloaded: ignored.
/usr/lib/gcc/i486-slackware-linux/4.5.2/../../../../i486-slackware-linux/bin/ld:
cannot open output file /root/a/z/guile/.libs/3013-lt-guile: No such
file or directory
collect2: ld returned 1 exit statusnrm: symbol lookup error:
./iconv.so: undefined symbol: dlopen